ChangeVetoException (BioJava-1.5-beta API)
Keywords: org.biojava.utils.ChangeVetoException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils
Class ChangeVetoException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.utils.ChangeVetoException

All Implemented Interfaces:
  Serializable

    public class ChangeVetoException

extends Exception

Exception which is thrown when a ChangeListener does not wish a change to take place.

Since:
  1.1
Author:
  Thomas Down, Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`ChangeVetoException()`
`ChangeVetoException(ChangeEvent change)` Construct an exception to veto a change without explanation.
`ChangeVetoException(ChangeEvent change, String reason)` Construct an exception to veto a change for a specified reason.
`ChangeVetoException(String reason)` Create an exception with a detail message
`ChangeVetoException(String reason, Throwable cause)`
`ChangeVetoException(Throwable ex, ChangeEvent change)` Propogate an exception without (additional) explanation.
`ChangeVetoException(Throwable ex, ChangeEvent change, String reason)` Propogate an exception, giving a detail message
`ChangeVetoException(Throwable ex, String reason)` Deprecated. use new ChangeVetoException(reason, ex);

Method Summary
`ChangeEvent` | `getChangeEvent()` Return the ChangeEvent which is being vetoed.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChangeVetoException

    public ChangeVetoException()

### ChangeVetoException

    public ChangeVetoException(ChangeEvent change)

  Construct an exception to veto a change without explanation.

  Parameters:
    `change` - An event which is being vetoed.

### ChangeVetoException

    public ChangeVetoException(String reason)

  Create an exception with a detail message

  Parameters:
    `reason` - A detail message.

### ChangeVetoException

    public ChangeVetoException(ChangeEvent change,
                               String reason)

  Construct an exception to veto a change for a specified reason.

  Parameters:
    `change` - An event which is being vetoed.
    `reason` - A detail message.

### ChangeVetoException

    public ChangeVetoException(Throwable ex,
                               ChangeEvent change)

  Propogate an exception without (additional) explanation.

  Parameters:
    `ex` - A parent exception
    `change` - An event which is being vetoed.

### ChangeVetoException

    public ChangeVetoException(Throwable ex,
                               String reason)

  Deprecated. use new ChangeVetoException(reason, ex);

  Propogate an exception, giving a detail message

  Parameters:
    `ex` - A parent exception
    `reason` - A detail message.

### ChangeVetoException

    public ChangeVetoException(String reason,
                               Throwable cause)

### ChangeVetoException

    public ChangeVetoException(Throwable ex,
                               ChangeEvent change,
                               String reason)

  Propogate an exception, giving a detail message

  Parameters:
    `ex` - A parent exception
    `change` - An event which is being vetoed.
    `reason` - A detail message.

Method Detail

### getChangeEvent

    public ChangeEvent getChangeEvent()

  Return the ChangeEvent which is being vetoed.

  Returns:
    The ChangeEvent value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD